<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery( ".combobox" ).combobox();

	jQuery("#allTypes").click(function(){
		jQuery('#category').val('');
		jQuery('#class').val('');
		jQuery('#brand').val('');
		jQuery('#model').val('');
		jQuery('#variant').val('');

		jQuery('#category').prop('disabled');
		jQuery('#class').prop('disabled','disabled');
		jQuery('#brand').prop('disabled','disabled');
		jQuery('#model').prop('disabled','disabled');
		jQuery('#variant').prop('disabled','disabled');
	});
	jQuery("#customTypes").click(function(){
		jQuery('#category').removeProp('disabled');
		jQuery('#class').removeProp('disabled');
		jQuery('#brand').removeProp('disabled');
		jQuery('#model').removeProp('disabled');
		jQuery('#variant').removeProp('disabled');
	});
	jQuery("#model").change(function(){
		if(jQuery(this).find("option").length==1 && jQuery("#model > option").prop('value')==''){
			jQuery(this).prop('disabled','disabled');
		}else{
			jQuery(this).removeProp('disabled');
		}
	});
	jQuery.addLoading= function(obj){
		jQuery(obj).after('<div id="mob_loading" style="display:inline;margin:0 5px;padding:0 15px 10px 10px;background:url(\'<?php echo plugin_dir_url( __FILE__ ) ?>../images/loading.gif\') no-repeat" />');
	}
	jQuery('#importData').click(function(){
		jQuery.addLoading(jQuery(this).next('input'));
		jQuery(this).prop('disabled','disabled');
		jQuery(this).next('input').prop('disabled','disabled');

		jQuery.get(ajaxurl,{action:"ajaxImportData"}, function(data){
			jQuery('#mob_loading').remove();
			jQuery('#importData').removeProp('disabled');
			jQuery('#deletePosts').removeProp('disabled');

			if(data=='1'){
				alert('Fahrzeuge erfolgreich importiert!');
			}else {//error
				alert(data);
			}
		});
	});
	
console.log ('Function executed in ' + (totalTime/1000) + ' seconds');

	jQuery('#deletePosts').click(function(){
		jQuery.addLoading(this);
		jQuery(this).prop('disabled','disabled');
		jQuery(this).prev('input').prop('disabled','disabled');

		jQuery.get(ajaxurl,{action:"ajaxDeletePosts"}, function(data){
			jQuery('#mob_loading').remove();
			jQuery('#importData').removeProp('disabled');
			jQuery('#deletePosts').removeProp('disabled');

			if(data=='1'){
				alert('Fahrzeuge erfolgreich gelöscht');
			}else{
			alert(data);
				alert('Konnte nicht alle Fahrzeuge löschen, bitte erneut versuchen');
			}
		});
	});
});
</script> 

<div class="sectionBox">
<div><input type="radio" name="allTypes" id="allTypes"<?php echo empty($this->options['class'])?' checked="checked"':''; ?> value="1" /> Alle Fahrzeuge</div>
<div><input type="radio" name="allTypes"  id="customTypes"<?php echo empty($this->options['class'])?'':' checked="checked"'; ?> value="0" /> Fahrzeuge einschänken</div>

</div>
<div class="sectionBox">
<div class="sectionRow">

<div>
<label for="MobileDE_option[class]">Fahrzeugkategorie</label>
<select class="dynamic" id="class" name="MobileDE_option[class]"<?php echo empty($this->options['class'])?' disabled="disabled"':''; ?>>
<?php echo mob_htmlToOptions($this->mob_data['classes'], true, isset( $this->options['class'] ) ? esc_attr( $this->options['class']):''); ?>
</select></div>
</div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[brand]">Hersteller</label>
<select class="dynamic" rel="class" id="brand" name="MobileDE_option[brand]"<?php echo empty($this->options['class'])?' disabled="disabled"':''; ?>>
<?php echo (isset( $this->options['class'] )? 
		mob_htmlToOptions($this->mob_data['brands'][$this->options['class']], true, isset( $this->options['brand'] ) ? esc_attr( $this->options['brand']) : ''):''
				); ?>
</select></div>

<div>
<label for="MobileDE_option[model]">Modell</label>
<select class="dynamic" rel="brand" id="model" name="MobileDE_option[model]"<?php echo empty($this->options['class'])?' disabled="disabled"':''; ?>>
<?php echo (isset( $this->options['brand'] )? 
		mob_htmlToOptions($this->mob_data['models'][$this->options['class']][$this->options['brand']], true, isset( $this->options['model'] ) ? esc_attr( $this->options['model']) : ''):''
				); ?>
</select></div>

<div>
<label for="MobileDE_option[variant]">Modellvariante</label>
<input type="text" name="MobileDE_option[variant]" id="variant"<?php echo empty($this->options['class'])?' disabled="disabled"':''; ?> value="<?php echo isset( $this->options['variant'] ) ? esc_attr( $this->options['variant']) : ''; ?>" />
</div></div>
<div class="sectionRow">
<div>
<label for="MobileDE_option[category]">Kategorie</label>
<select id="category" class="dynamic" rel="class" name="MobileDE_option[category]"<?php echo empty($this->options['class'])?' disabled="disabled"':''; ?>>
<?php echo (isset( $this->options['class'] )? 
		mob_htmlToOptions($this->mob_data['categories'][$this->options['class']], true, isset( $this->options['category'] ) ? esc_attr( $this->options['category']) : ''):''
				); ?>
</select></div>
</div>
</div>
<div class="sectionBox">
<div class="sectionRow">

<div>
<label for="MobileDE_option[firstRegistrationDateMin]">Erstzulassung</label>
<select class="combobox" name="MobileDE_option[firstRegistrationDateMin]">
<option value="">Alle</option>
<?php for($year=date('Y');$year>=1985;$year--): ?>
	<option value="<?php echo $year ?>"<?php echo ($year == $this->options['firstRegistrationDateMin'])?' selected="selected"':'';?>><?php echo $year; ?></option>
<?php endfor; ?>
</select></div>

<div>
<label for="MobileDE_option[firstRegistrationDateMax]">bis</label>
<select class="combobox" name="MobileDE_option[firstRegistrationDateMax]">
<option value="">Alle</option>
<?php for($year=date('Y');$year>=1985;$year--): ?>
	<option value="<?php echo $year ?>"<?php echo ($year == $this->options['firstRegistrationDateMax'])?' selected="selected"':'';?>> <?php echo $year; ?></option>
<?php endfor; ?>
</select></div>

<div>
<label for="MobileDE_option[owners]">Vorbesitzer</label>
<select name="MobileDE_option[owners]">
<option value="">Alle</option>
<?php for($owners=1;$owners<=4;$owners++): ?>
	<option value="<?php echo $owners ?>"<?php echo ($owners == $this->options['owners'])?' selected="selected"':'';?>> <?php echo $owners; ?></option>
<?php endfor; ?>
</select>
</div></div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[mileageFrom]">Kilometerstand von</label>
<select name="MobileDE_option[mileageFrom]" class="combobox">
<option value="">Alle</option>
<?php for($mileage=5000;$mileage<150000;$mileage+=5000): ?>
	<option value="<?php echo $mileage; ?>"<?php echo ($mileage == $this->options['mileageFrom'])?' selected="selected"':'';?>> <?php echo $mileage; ?> km</option>
<?php endfor; ?>
</select></div>

<div>
<label for="MobileDE_option[mileageTo]">bis</label>
<select name="MobileDE_option[mileageTo]" class="combobox">
<option value="">Alle</option>
<?php for($mileage=5000;$mileage<150000;$mileage+=5000): ?>
	<option value="<?php echo $mileage; ?>"<?php echo ($mileage == $this->options['mileageTo'])?' selected="selected"':'';?>> <?php echo $mileage; ?> km</option>
<?php endfor; ?>
</select></div>

<div>
<label for="MobileDE_option[monthsTillInspection]">HU mind. gültig (in Monaten)</label>
<select name="MobileDE_option[monthsTillInspection]">
	<?php echo mob_htmlToOptions($this->mob_data['monthsTillInspection'], true, isset( $this->options['monthsTillInspection'] ) ? esc_attr( $this->options['monthsTillInspection']) : ''); ?>
</select>
</div></div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[powerMin]">Leistung von</label>
<select name="MobileDE_option[powerMin]" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['power'], true, isset( $this->options['powerMin'] ) ? esc_attr( $this->options['powerMin']) : ''); ?>
</select></div>

<div>
<label for="MobileDE_option[powerMax">bis</label>
<select name="MobileDE_option[powerMax]" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['power'], true, isset( $this->options['powerMax'] ) ? esc_attr( $this->options['powerMax']) : ''); ?>
</select></div>
</div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[cubicCapacityMin]">Hubraum von</label>
<select name="MobileDE_option[cubicCapacityMin]" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['CC'], true, isset( $this->options['cubicCapacityMin'] ) ? esc_attr( $this->options['cubicCapacityMin']) : ''); ?>
</select></div>

<div>
<label for="MobileDE_option[cubicCapacityMax]">bis</label>
<select name="MobileDE_option[cubicCapacityMax]" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['CC'], true, isset( $this->options['cubicCapacityMax'] ) ? esc_attr( $this->options['cubicCapacityMax']) : ''); ?>
</select>
</select></div>
</div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[priceMin]">Preis von</label>
<select name="MobileDE_option[priceMin]" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['prices'], true, isset( $this->options['priceMin'] ) ? esc_attr( $this->options['priceMin']) : ''); ?>
</select></div>

<div>
<label for="MobileDE_option[priceMax]">bis</label>
<select name="MobileDE_option[priceMax]" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['prices'], true, isset( $this->options['priceMax'] ) ? esc_attr( $this->options['priceMax']) : ''); ?>
</select>
</select></div>
</div>
<div class="sectionRow">


</div>
<div class="sectionRow">
<div style="float:none;">Kraftstoff:</div>

<?php $this->options['fuel']=explode(',', $this->options['fuel']);foreach($fuels as $key => $value):?>
<div><input type="checkbox" name="MobileDE_option[fuel][]" value="<?php echo $key; ?>"<?php echo in_array($key, $this->options['fuel'])? ' checked="checked"':'';?> /> <?php echo $value; ?></div>
<?php endforeach; ?>

</div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[gearbox]">Getriebe</label>
<select name="MobileDE_option[gearbox]">
<option value="">Any</option>
<?php foreach($gearboxes as $key => $value): ?>
<option value="<?php echo $key; ?>"<?php echo ($key == $this->options['gearbox'])?' selected="selected"':'';?>><?php echo $value; ?></option>
<?php endforeach; ?>
</select></div>

<div>
<label for="MobileDE_option[damageUnrepaired]">Beschädigte Fahrzeuge anzeigen?</label>
<select name="MobileDE_option[damageUnrepaired]">
<option value="">Any</option>
<option value="true"<?php echo ('true' == $this->options['damageUnrepaired'])?' selected="selected"':'';?>>Yes</option>
<option value="false"<?php echo ('false' == $this->options['damageUnrepaired'])?' selected="selected"':'';?>>No</option>

</select></div>

<div>
<label for="MobileDE_option[roadworthy]">Nur fahrbereite Fahrzeuge anzeigen?</label>
<select name="MobileDE_option[roadworthy]">
<option value="">Any</option>
<option value="true"<?php echo ('true' == $this->options['roadworthy'])?' selected="selected"':'';?>>Yes</option>
<option value="false"<?php echo ('false' == $this->options['roadworthy'])?' selected="selected"':'';?>>No</option>

</select>
</div></div>
<div class="sectionRow">

<div>
<label for="MobileDE_option[ambitCountry]">Land</label>
<select name="MobileDE_option[ambitCountry]">
	<?php echo mob_htmlToOptions($this->mob_data['countries'], true, isset( $this->options['ambitCountry'] ) ? esc_attr( $this->options['ambitCountry']) : ''); ?>
</select></div>

<div>
<label for="MobileDE_option[ambitZipcode]">Postleitzahl</label>
<input type="text" name="MobileDE_option[ambitZipcode]" value="<?php echo isset( $this->options['ambitZipcode'] ) ? esc_attr( $this->options['ambitZipcode']) : ''; ?>" />
</div>
</div>

</div>
<div style="float:none;">Alle Rechte vorbehalten. neusued media Werbeagentur Reutlingen</div>