<?php 
/*
Template Name: Fahrzeuge
*/
get_header(); ?>
<div class="small-12 large-12 columns" id="content" role="main">
        <div class="archive-header">
            <h1 class="archive-title">
               <?php post_type_archive_title(); ?>
            </h1>
        </div>

        <!-- .archive-header -->
        <div class="archive-listing">
            <ul>

                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); 
                        $meta_values = get_post_meta( get_the_ID() );
                ?>
                <li>

                    <div class="item" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <h2 class="title">
                            <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                                <?php the_title(); ?>
                            </a>
                        </h2>
                        <div class="entry-content">
                           <div class="archiveImage"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php if ( function_exists( 'has_post_thumbnail') && has_post_thumbnail() ) { the_post_thumbnail( 'thumbnail'); } ?>
                             </a></div>
<!-- Hier können Sie die anzuzeigenden Werte auswählen -->
<div class="preiscontainer">
<span class="uebersichtpreis"><?php if(!empty($meta_values['price'][0])){?><?php echo $meta_values['price'][0] . ' '. $meta_values['currency'][0];?><?php } ?></span></br>
<span class="mwst"><?php if(!empty($meta_values['vatable'][0])){?><?php echo $meta_values['vatable'][0]=='false'?'Mehrwertsteuer nicht ausweisbar':'Inkl. 19% USt.';?><?php } ?></span></div>
<div class="fzgliste">


<!-- Notiz wenn Beschädigt! --><?php if(!empty($meta_values['damageRepaired'][0])){?> <span><?php echo $meta_values['damageRepaired'][0]=='false'?'':'Beschädigtes Fahrzeug!';?></span><?php } ?>
<!-- Notiz wenn nicht fahrbereit! --><?php if(!empty($meta_values['roadWorthy'][0])){?> <span><?php echo $meta_values['roadWorthy'][0]=='false'?'Fahrzeug nicht fahrbereit!':'';?></span><?php } ?>
<!-- Fzg Klasse (Kleinwagen, SUV,...) -->   <span><?php echo $meta_values['category'][0]; ?> , <?php echo $meta_values['condition'][0]; ?></span>
<!-- Verkäufer Standort <span class="seller"><strong>Verkäufer Adresse: </strong><?php echo $meta_values['seller'][0]; ?></span> -->
<!-- Erstzulassung (MM.JJJJ) --><?php if(!empty($meta_values['firstRegistration'][0])){?><span class="regDate"><strong>EZ: </strong><?php $show_date = date('m.Y', strtotime($meta_values['firstRegistration'][0]));?><?php echo $show_date; ?></span><?php } ?>
<!-- Nächste HU/AU -->          <?php if(!empty($meta_values['nextInspection'][0])){?> <span><strong>HU / AU bis: </strong><?php $show_date = date('m.Y', strtotime($meta_values['nextInspection'][0]));?><?php echo $show_date; ?></span><?php } ?>
<!-- Getriebe --><?php if(!empty($meta_values['gearbox'][0])){?> <span><strong>Getriebe: </strong><?php echo $meta_values['gearbox'][0]; ?></span><?php } ?>
<!-- Leistung (KW,PS) --><?php if(!empty($meta_values['power'][0])){?> <span><strong>Leistung: </strong><?php echo $meta_values['power'][0]; ?> kW<?php $zahl1 = $meta_values['power'][0] ; $zahl2 = 1.35962; ?><?php $multiplikation = $zahl1 * $zahl2; ?> / <?php echo round($multiplikation); ?> PS ,<?php } ?> <!-- Diesel, Benzin, etc. --><?php if(!empty($meta_values['fuel'][0])){?><?php echo $meta_values['fuel'][0]; ?></span><?php } ?>




</div>
<div class="summary">
<!-- Hier kann die Beschreibung eingeblendet werden <?php the_content(); ?> -->
</div>
<span class="verbrauch"><?php if(!empty($meta_values['emissionFuelConsumption_Combined'][0])){?>Kraftstoffverb. komb.: <?php echo $meta_values['emissionFuelConsumption_Combined'][0]. ' l/100km*';?><?php } ?><?php if(!empty($meta_values['emissionFuelConsumption_CO2'][0])){?>- CO2 Emissionen komb.:  <?php echo $meta_values['emissionFuelConsumption_CO2'][0]. ' g/km*';?><?php } ?></span>
                            
<!-- Hier kann die Beschreibung eingeblendet werden  <p>Kategorie: <?php the_category(' '); ?></p> -->
                        </div>
                    </div>
                    <!-- post -->
                </li>

                <?php endwhile; ?>
        <?php else: ?>
        <p>Keine Fahrzeuge gefunden.</p>
        <?php endif; ?>
            </ul>
        </div>
        <div class="navigation">
            <div class="alignleft">
                <?php next_posts_link( 'Previous entries') ?>
            </div>
            <div class="alignright">
                <?php previous_posts_link( 'Next entries') ?>
            </div>
        </div>


    </div>
    <!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>