<?php
/*
 * Template Name: Vehicles Single posts
 * Description: Eine Ausarbeitung der neusued media
 */

get_header(); ?>

	<div id="primary" class="site-content">
		<div id="content" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', get_post_format() ); ?>
<?php
				$meta_values = get_post_meta( get_the_ID() );

?>
<div class="item" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<h1 class="title"> <?php if(!empty($meta_values['detailsPage'][0])){?><a href="<?php echo $meta_values['detailsPage'][0]; ?>"><?php } ?>
<?php the_title();
 if(!empty($item['detailsPage'])){?></a><?php }/*Titel als Link ausgeben wenn Detailseite existiert.*/?> </h1>
<div class="image"><?php
if ( function_exists('has_post_thumbnail') && has_post_thumbnail() ) {
       the_post_thumbnail();
  }
?>
</div>
<div class="info">
<!-- Hier werden die generellen Infos des Fahrzeuges ausgegeben -->

<span style="font-size:22px;"><?php if(!empty($meta_values['price'][0])){?><span class="price"><strong>Preis: </strong><?php echo $meta_values['price'][0] . ' '. $meta_values['currency'][0];?> </span></span><?php } ?>
<span style="font-size:10px;color:#989898"><?php if(!empty($meta_values['vatable'][0])){?> <span><?php echo $meta_values['vatable'][0]=='false'?'Mehrwertsteuer nicht ausweisbar':'Inkl. 19% USt.';?></span><?php } ?></span>
<!-- Notiz wenn Beschädigt! --><?php if(!empty($meta_values['damageRepaired'][0])){?> <span><?php echo $meta_values['damageRepaired'][0]=='false'?'':'Beschädigtes Fahrzeug!';?></span><?php } ?>
<!-- Notiz wenn nicht fahrbereit! --><?php if(!empty($meta_values['roadWorthy'][0])){?> <span><?php echo $meta_values['roadWorthy'][0]=='false'?'Fahrzeug nicht fahrbereit!':'';?></span><?php } ?>
<!-- Fzg Klasse (Kleinwagen, SUV,...) -->	<span><?php echo $meta_values['category'][0]; ?> , <?php echo $meta_values['condition'][0]; ?></span>
<!-- Erstzulassung (MM.JJJJ) --><?php if(!empty($meta_values['firstRegistration'][0])){?><span class="regDate"><strong>EZ: </strong><?php $show_date = date('m.Y', strtotime($meta_values['firstRegistration'][0]));?><?php echo $show_date; ?></span><?php } ?>
<!-- Verkäufer (Adresse) <span class="seller"><strong>Verkäufer Adresse: </strong><?php echo $meta_values['seller'][0]; ?></span> -->
<!-- Laufleistung (km) --><?php if(!empty($meta_values['mileage'][0])){?><span class="mileage"><strong>Kilometerstand: </strong><?php echo $meta_values['mileage'][0].' km';?></span><?php } ?>
<!-- Diesel, Benzin, etc. --><?php if(!empty($meta_values['fuel'][0])){?> <span><strong>Treibstoff: </strong><?php echo $meta_values['fuel'][0]; ?></span><?php } ?>
<!-- Leistung (KW,PS) --><?php if(!empty($meta_values['power'][0])){?> <span><strong>Leistung: </strong><?php echo $meta_values['power'][0]; ?> kW<?php $zahl1 = $meta_values['power'][0] ; $zahl2 = 1.35962; ?><?php $multiplikation = $zahl1 * $zahl2; ?> / <?php echo round($multiplikation); ?> PS</span><?php } ?>
<!-- Getriebe --><?php if(!empty($meta_values['gearbox'][0])){?> <span><strong>Getriebe: </strong><?php echo $meta_values['gearbox'][0]; ?></span><?php } ?>



<h2>Weitere Daten:</h2>
<!-- Hubraum -->				<?php if(!empty($meta_values['cubicCapacity'][0])){?> <span><strong>Hubraum: </strong><?php echo $meta_values['cubicCapacity'][0]. ' cm³'; ?></span><?php } ?>
<!-- Aussenfarbe -->			<?php if(!empty($meta_values['exteriorColor'][0])){?> <span><strong>Aussenfarbe: </strong><?php echo $meta_values['exteriorColor'][0]; ?></span><?php } ?>
<!-- Max. Zuladung 				<?php if(!empty($meta_values['loadCapacity'][0])){?><span class="loadCapacity"><strong>Ladekapazität: </strong><?php echo $meta_values['loadCapacity'][0]. ' kg';?></span><?php } ?></br> -->
<!-- Vorbesitzer -->			<?php if(!empty($meta_values['owners'][0])){?> <span><strong>Anzahl der Fahrzeughalter: </strong><?php echo $meta_values['owners'][0]; ?></span><?php } ?>
<!-- Nächste HU/AU -->			<?php if(!empty($meta_values['nextInspection'][0])){?> <span><strong>HU / AU bis: </strong><?php $show_date = date('m.Y', strtotime($meta_values['nextInspection'][0]));?><?php echo $show_date; ?></span><?php } ?>
<!-- Verbrauch kombiniert -->	<?php if(!empty($meta_values['emissionFuelConsumption_Combined'][0])){?> <span><strong>Kraftstoffverbr. komb.:* </strong><?php echo $meta_values['emissionFuelConsumption_Combined'][0]. ' l/100km';?></span><?php } ?>
<!-- Verbrauch Innerorts -->	<?php if(!empty($meta_values['emissionFuelConsumption_Inner'][0])){?> <span><strong>Kraftstoffverbr. innerorts: </strong><?php echo $meta_values['emissionFuelConsumption_Inner'][0]. ' l/100km';?></span><?php } ?>
<!-- Verbrauch Ausserorts -->	<?php if(!empty($meta_values['emissionFuelConsumption_Outer'][0])){?> <span><strong>Kraftstoffverbr. außerorts: </strong><?php echo $meta_values['emissionFuelConsumption_Outer'][0]. ' l/100km';?></span><?php } ?>
<!-- CO² Emissionen komb. -->	<?php if(!empty($meta_values['emissionFuelConsumption_CO2'][0])){?> <span><strong>CO2-Emissionen komb.:* </strong><?php echo $meta_values['emissionFuelConsumption_CO2'][0]. ' g/km';?></span><?php } ?>
<!-- Schadstoffklasse -->		<?php if(!empty($meta_values['emissionClass'][0])){?> <span><strong>Schadstoffklasse:  </strong><?php echo $meta_values['emissionClass'][0];?></span><?php } ?>


<!-- Umweltplakette als Bild ab v1.5.3 START -->	
<!-- Umweltplakette als Bild ab v1.5.3 Normalize Filenames -->	
<?php
$meta_values['emissionSticker'][0] = strtolower( $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "ü", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "g", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "e", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "l", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "b", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "r", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "o", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "t", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "n", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "(", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( ")", "", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( "ß", "ss", $meta_values['emissionSticker'][0] );
$meta_values['emissionSticker'][0] = str_replace( " ", "", $meta_values['emissionSticker'][0] ); ?>

<!-- Umweltplakette als Bild ab v1.5.3 Ausgabe -->			<?php if(!empty($meta_values['emissionSticker'][0])){?> <span class="umweltplakette"><strong>Umweltplakette: </strong><img src="<?php get_home_url(); ?>/wp-content/plugins/mobilede_wordpress/images/<?php echo $meta_values['emissionSticker'][0]. '.png';?>"</div><?php } ?></span>

<!-- Umweltplakette ENDE -->


<!-- Ausstattung als Liste ab v1.5.3 Ausgabe -->	
<?php if(!empty($meta_values['features'][0])){?> <div><h2>Ausstattung: </h2><ul class="ausstattung"><li><?php echo $meta_values['features'][0]; ?></li></ul></div><?php } ?></br>
<!-- Ausstattung ENDE -->









</div>
<div class="summary">
     <?php the_content(); ?>
</div>


<?php 


    while(($more_pics = more_fields ())) {?>	
	<a href="<?php echo $more_pics['file'];?>"><img src="<?php echo $more_pics['file'];?>" /></a>
	<?php } ?>
<p>Kategorie: <?php the_category(' '); ?></p>
<p><?php the_tags(); ?></p>
</div>
				<nav class="nav-single">
					<span class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link' ) . '</span> %title' ); ?></span>
					<span class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link' ) . '</span>' ); ?></span>
				</nav><!-- .nav-single -->

			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>