<script type="text/javascript">
var ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";

var classes={};
var brands={};
var models={};
var categories={};


<?php 

if(empty($instance['class_list'])) {
	$class_list=$this->mob_data['classes'];
}else {
	foreach($instance['class_list'] as $key) {
		$classKey=$key;
		$class_list[$classKey]=$this->mob_data['classes'][$classKey];
	}
}

if(empty($instance['brand_list'])) {
	$brand_list=$this->mob_data['brands'];

} else {
	foreach($instance['brand_list'] as $key) {
		list($classKey,$brandKey)=explode('::', $key);
		$brand_list[$classKey][$brandKey]=$this->mob_data['brands'][$classKey][$brandKey];
	}
}
if(empty($instance['category_list'])) {
	$category_list=$this->mob_data['categories'];

} else {
	foreach($instance['category_list'] as $key) {
		list($classKey,$categoryKey)=explode('::', $key);
		$category_list[$classKey][$categoryKey]=$this->mob_data['categories'][$classKey][$categoryKey];
	}
}

if(empty($instance['model_list'])) {
	$model_list=$this->mob_data['models'];

} else {
	foreach($instance['model_list'] as $key) {
		list($classKey,$brandKey,$modelKey)=explode('::', $key);
		$model_list[$classKey][$brandKey][$modelKey]=$this->mob_data['models'][$classKey][$brandKey][$modelKey];
	}
}

$options = get_option( 'MobileDE_option' );

$showClass=$instance['class'] || count($instance['class_list']) > 1;
$showCategory=($showClass || count($instance['class_list']) > 0 || !empty($options['class']))&& ($instance['category'] || count($instance['category_list']) > 1);
$showBrand=($showClass || count($instance['class_list']) > 0 || !empty($options['class']))&& ($instance['brand'] || count($instance['brand_list']) > 1);
$showModel=($showClass || count($instance['class_list']) > 0 || !empty($options['class']))&& ($showBrand || count($instance['brand_list']) > 0 || !empty($options['brand'])) 
		&& ($instance['model'] || count($instance['model_list']) > 1);
/*
$class_list=empty($instance['class_list'])?$this->mob_data['classes']:$instance['class_list'];
$category_list=empty($instance['category_list'])?$this->mob_data['categories']:$instance['category_list'];
$brand_list=empty($instance['brand_list'])?$this->mob_data['brands']:$instance['brand_list'];
$model_list=empty($instance['model_list'])?$this->mob_data['models']:$instance['model_list'];
*/
if(!$showClass) $_GET['mob_class']=array_keys($class_list)[0];
if(!$showBrand) $_GET['mob_brand']=array_keys($brand_list)[0];


?>


class_list={};
<?php if(!empty($class_list)):foreach($class_list as $i => $classKey): ?>
class_list['<?=$i?>']='<?=$classKey?>';
<?php endforeach;endif; ?>

category_list={};
<?php if(!empty($category_list)):
foreach($category_list as $classKey => $categoryInClass):?>
category_list['<?=$classKey?>']={};
<?php if(!empty($categoryInClass)):foreach($categoryInClass as $categoryKey => $categoryName): ?>
category_list['<?=$classKey?>']['<?=$categoryKey?>']='<?=$categoryName?>';
<?php endforeach;endif;endforeach;endif; ?>

brand_list={};
<?php if(!empty($brand_list)):
foreach($brand_list as $classKey => $brandInClass):?>
brand_list['<?=$classKey?>']={};
<?php foreach($brandInClass as $brandKey => $brandName): ?>
brand_list['<?=$classKey?>']['<?=$brandKey?>']='<?=$brandName?>';
<?php endforeach;endforeach;endif; ?>

model_list={};
<?php if(!empty($model_list)):
foreach($model_list as $classKey => $modelInClass):?>
model_list['<?=$classKey?>']={};
<?php foreach($modelInClass as $brandKey => $modelInBrand):?>
model_list['<?=$classKey?>']['<?=$brandKey?>']={};
<?php foreach($modelInBrand as $modelKey => $modelName):  ?>
model_list['<?=$classKey?>']['<?=$brandKey?>']['<?=$modelKey?>']='<?=$modelName?>';
<?php endforeach;endforeach;endforeach;endif; ?>

jQuery(document).ready(function(){

	var classesHtml='<option value="">Any</option>';
	for(value in class_list) {
		name=class_list[value];

		var selected='';
		if('<?=$_GET['mob_class']?>'==value) {
			selected='selected="selected" ';
		}
		classesHtml+='<option '+selected+'value="'+value+'">'+name+'</option>';
	}
	jQuery('#class').html(classesHtml);

	jQuery('body').on('change', '#class', function() {

		//populate categories and brands
		brandsHtml='<option data-value="" value="">Any</option>';
		categoriesHtml='<option data-value="" value="">Any</option>';

		jQuery(this).find('option:selected').each(function() {	

			brandsInClass=brand_list[jQuery(this).attr('value')];
			for(i in brandsInClass) {
				value=jQuery(this).attr('value')+'::'+i;

				var selected='';
				if('<?=$_GET['mob_class']?>::<?=$_GET['mob_brand']?>'==value) {
					selected='selected="selected" ';
				}
				brandsHtml+='<option data-value="'+value+'" '+selected+'value="'+i+'">'+brandsInClass[i]+'</option>';
			}
			
			categoriesInClass=category_list[jQuery(this).attr('value')];
			for(i in categoriesInClass) {
				var value = jQuery(this).attr('value')+'::'+i;
				var selected='';
				if('<?=$_GET['mob_class']?>::<?=$_GET['mob_category']?>'==value) {
					selected='selected="selected" ';
				}
				categoriesHtml+='<option data-value="'+value+'" '+selected+'value="'+i+'">'+categoriesInClass[i]+'</option>';
			}
		});

		jQuery('#brand').html(brandsHtml);
		jQuery('#category').html(categoriesHtml);

		jQuery('#brand').trigger('change');
		jQuery('#category').trigger('change');

	});

	jQuery('body').on('change', '#brand', function() {
		//populate models
		modelsHtml='';
			
		jQuery(this).find('option:selected').each(function() {	

			key=jQuery(this).data('value').split('::');
			if(key[1] !=null) {
				modelsInClass=model_list[key[0]][key[1]];
				for(i in modelsInClass) {
					var value = jQuery(this).attr('value')+'::'+i;

					var selected='';
					if('<?=$_GET['mob_class']?>::<?=$_GET['mob_brand']?>::<?=$_GET['mob_model']?>'==value) {
						selected='selected="selected" ';
					}
					modelsHtml+='<option data-value="'+value+'" '+selected+'value="'+i+'">'+modelsInClass[i]+'</option>';
				}
			}
		});

		jQuery('#model').html(modelsHtml);
		jQuery('#model').trigger('change');

	});

	jQuery('#class').trigger('change');

	jQuery( ".combobox" ).combobox();

	jQuery("#allTypes").click(function(){

		jQuery('#category').val('');
		jQuery('#class').val('');
		jQuery('#brand').val('');
		jQuery('#model').val('');
		jQuery('#variant').val('');

		jQuery('#category').prop('disabled','disabled');
		jQuery('#class').prop('disabled','disabled');
		jQuery('#brand').prop('disabled','disabled');
		jQuery('#model').prop('disabled','disabled');
		jQuery('#variant').prop('disabled','disabled');
	});
	jQuery("#customTypes").click(function(){
		jQuery('#category').removeProp('disabled');
		jQuery('#class').removeProp('disabled');
		jQuery('#brand').removeProp('disabled');
		jQuery('#model').removeProp('disabled');
		jQuery('#variant').removeProp('disabled');
	});
	jQuery("#model").change(function(){
		if(jQuery(this).find("option").length==1 && jQuery("#model > option").prop('value')==''){
			jQuery(this).prop('disabled','disabled');
		}else{
			jQuery(this).removeProp('disabled');
		}
	});
});
</script> 
<?php


?>
<form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="inputForm">
<input type="hidden" name="post_type" value="<?php echo $this->mob_data['customType']; ?>" />
<input type="hidden" name="orderby" value="<?php echo $instance['orderby']; ?>" />

<?php if($showClass || $showBrand || $showModel || $instance['variant'] || $showCategory):?>
<div class="sectionBox">
<div><input type="radio" name="allTypes" id="allTypes"<?php echo empty($_GET['mob_class'])?' checked="checked"':''; ?> value="1" /> Alle Fahrzeugtypen</div>
<div><input type="radio" name="allTypes"  id="customTypes"<?php echo empty($_GET['mob_class'])?'':' checked="checked"'; ?> value="0" /> Suche einschränken</div>

</div>
<?php endif; ?>
<?php if($showClass || $showBrand || $showModel || $instance['variant'] || $showCategory):?>
<div class="sectionBox">
<?php if($showClass):?>
<div class="sectionRow">

<div>
<label for="mob_class">Fahrzeugkategorie</label>
<select id="class" name="mob_class"<?php echo empty($_GET['mob_class'])?' disabled="disabled"':''; ?>>
</select></div>
</div>
<?php else: ?>
<select style="display:none;" id="class" name="mob_class">
</select>
<?php endif; ?>

<div class="sectionRow">
<?php if($showBrand):?>
<div>
<label for="mob_brand">Hersteller</label>
<select id="brand" name="mob_brand"<?php echo empty($_GET['mob_class'])?' disabled="disabled"':''; ?>>
</select></div>
<?php else: ?>
<select style="display:none;" id="brand" name="mob_brand">
</select>
<?php $_GET['mob_brand']=$instance['brand_list'][0]; ?>
<?php endif;?>

<?php if($showModel):?>
<div>
<label for="mob_model">Modell</label>
<select id="model" name="mob_model"<?php echo empty($_GET['mob_class'])?' disabled="disabled"':''; ?>>
</select></div>
<?php else: ?>
<input type="hidden" name="mob_model" value="<?php echo $instance['model_list'][0]; ?>" />
<?php $_GET['mob_model']=$instance['model_list'][0]; ?>
<?php endif;?>

<?php if($instance['variant']):?>
<div>
<label for="mob_variant">Modellvariante</label>
<input type="text" name="mob_variant" id="variant"<?php echo empty($_GET['mob_class'])?' disabled="disabled"':''; ?> value="<?php echo isset( $_GET['mob_variant'] ) ? esc_attr( $_GET['mob_variant']) : ''; ?>" />
</div>
<?php endif;?>
</div>
<?php endif; ?>

<?php if($showCategory):?>
<div class="sectionRow">
<div>
<label for="category">Fahrzeugtyp</label>
<select id="category" name="mob_category"<?php echo empty($_GET['mob_class'])?' disabled="disabled"':''; ?>>
</select></div>
</div>
<?php else: ?>
<input type="hidden" name="mob_category" value="<?php echo $instance['category_list'][0]; ?>" />
<?php $_GET['mob_category']=$instance['category_list'][0]; ?>
<?php endif;?>
</div>

<div class="sectionBox">
<div class="sectionRow">
<?php if($instance['registrationDate']):?>

<div>
<label for="mob_firstRegistrationDateMin">Erstzulassung</label>
<select class="combobox" name="mob_firstRegistrationDateMin">
<option value="">Any</option>
<?php for($year=date('Y');$year>=1985;$year--): ?>
	<option value="<?php echo $year ?>"<?php echo ($year == $_GET['mob_firstRegistrationDateMin'])?' selected="selected"':'';?>><?php echo $year; ?></option>
<?php endfor; ?>
</select></div>

<div>
<label for="mob_firstRegistrationDateMax">bis</label>
<select class="combobox" name="mob_firstRegistrationDateMax">
<option value="">Alle</option>
<?php for($year=date('Y');$year>=1985;$year--): ?>
	<option value="<?php echo $year ?>"<?php echo ($year == $_GET['mob_firstRegistrationDateMax'])?' selected="selected"':'';?>> <?php echo $year; ?></option>
<?php endfor; ?>
</select></div>

<?php endif; ?>
<?php if($instance['owners']):?>

<div>
<label for="mob_owners">Besitzer</label>
<select name="mob_owners">
<option value="">Alle</option>
<?php for($owners=1;$owners<=4;$owners++): ?>
	<option value="<?php echo $owners ?>"<?php echo ($owners == $_GET['mob_owners'])?' selected="selected"':'';?>> <?php echo $owners; ?></option>
<?php endfor; ?>
</select>
</div>
<?php endif; ?>

</div>
<div class="sectionRow">
<?php if($instance['mileage']):?>

<div>
<label for="mob_mileageFrom">Kilometerstand von</label>
<select name="mob_mileageFrom" class="combobox">
<option value="">Alle</option>
<?php for($mileage=5000;$mileage<150000;$mileage+=5000): ?>
	<option value="<?php echo $mileage; ?>"<?php echo ($mileage == $_GET['mob_mileageFrom'])?' selected="selected"':'';?>> <?php echo $mileage; ?> km</option>
<?php endfor; ?>
</select></div>

<div>
<label for="mob_mileageTo">bis</label>
<select name="mob_mileageTo" class="combobox">
<option value="">Alle</option>
<?php for($mileage=5000;$mileage<150000;$mileage+=5000): ?>
	<option value="<?php echo $mileage; ?>"<?php echo ($mileage == $_GET['mob_mileageTo'])?' selected="selected"':'';?>> <?php echo $mileage; ?> km</option>
<?php endfor; ?>
</select></div>
<?php endif; ?>

<?php if($instance['monthsTillInspection']):?>

<div>
<label for="mob_monthsTillInspection">HU mind. gültig (Monate)</label>
<select name="mob_monthsTillInspection">
	<?php echo mob_htmlToOptions($this->mob_data['monthsTillInspection'], true, isset( $_GET['mob_monthsTillInspection'] ) ? esc_attr( $_GET['mob_monthsTillInspection']) : ''); ?>
</select>
</div>
<?php endif; ?>

</div>
<div class="sectionRow">
<?php if($instance['power']):?>
<div>
<label for="mob_powerMin">Leistung von</label>
<select name="mob_powerMin" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['power'], true, isset( $_GET['mob_powerMin'] ) ? esc_attr( $_GET['mob_powerMin']) : ''); ?>
</select></div>

<div>
<label for="mob_powerMax">bis</label>
<select name="mob_powerMax" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['power'], true, isset( $_GET['mob_powerMax'] ) ? esc_attr( $_GET['mob_powerMax']) : ''); ?>
</select></div>
<?php endif; ?>

</div>
<div class="sectionRow">
<?php if($instance['cubicCapacity']):?>
<div>
<label for="mob_cubicCapacityMin">Hubraum von</label>
<select name="mob_cubicCapacityMin" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['CC'], true, isset( $_GET['mob_cubicCapacityMin'] ) ? esc_attr( $_GET['mob_cubicCapacityMin']) : ''); ?>
</select></div>

<div>
<label for="mob_cubicCapacityMax">bis</label>
<select name="mob_cubicCapacityMax" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['CC'], true, isset( $_GET['mob_cubicCapacityMax'] ) ? esc_attr( $_GET['mob_cubicCapacityMax']) : ''); ?>
</select>
</select></div>
<?php endif; ?>

</div>
<div class="sectionRow">
<?php if($instance['price']):?>
<div>
<label for="mob_priceMin">Preis von</label>
<select name="mob_priceMin" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['prices'], true, isset( $_GET['mob_priceMin'] ) ? esc_attr( $_GET['mob_priceMin']) : ''); ?>
</select></div>

<div>
<label for="mob_priceMax">bis</label>
<select name="mob_priceMax" class="combobox">
	<?php echo mob_htmlToOptions($this->mob_data['prices'], true, isset( $_GET['mob_priceMax'] ) ? esc_attr( $_GET['mob_priceMax']) : ''); ?>
</select>
</select></div>
<?php endif; ?>

</div>
<?php if($instance['fuel']):?>

<div class="sectionRow">
<div style="float:none;">Kraftstoff</div>

<?php $_GET['mob_fuel']=explode(',', $_GET['mob_fuel']);foreach($this->mob_data['fuels'] as $key => $value):?>
<div><input type="checkbox" name="mob_fuel[]" value="<?php echo $key; ?>"<?php echo in_array($key, $_GET['mob_fuel'])? ' checked="checked"':'';?> /> <?php echo $value; ?></div>
<?php endforeach; ?>

</div>
<?php endif; ?>

<div class="sectionRow">
<?php if($instance['gearbox']):?>
<div>
<label for="mob_gearbox">Getriebe</label>
<select name="mob_gearbox">
<option value="">Any</option>
<?php foreach($this->mob_data['gearboxes'] as $key => $value): ?>
<option value="<?php echo $key; ?>"<?php echo ($key == $_GET['mob_gearbox'])?' selected="selected"':'';?>><?php echo $value; ?></option>
<?php endforeach; ?>
</select></div>
<?php endif; ?>
<?php if($instance['damaged']):?>
<div>
<label for="mob_damageUnrepaired">Beschädigte Fahrzeuge anzeigen?</label>
<select name="mob_damageUnrepaired">
<option value="">Alle</option>
<option value="true"<?php echo ('true' == $_GET['mob_damageUnrepaired'])?' selected="selected"':'';?>>Yes</option>
<option value="false"<?php echo ('false' == $_GET['mob_damageUnrepaired'])?' selected="selected"':'';?>>No</option>

</select></div>
<?php endif; ?>

<?php if($instance['readyToDrive']):?>
<div>
<label for="mob_roadworthy">Fahrbereit?</label>
<select name="mob_roadworthy">
<option value="">Alle</option>
<option value="true"<?php echo ('true' == $_GET['mob_roadworthy'])?' selected="selected"':'';?>>Yes</option>
<option value="false"<?php echo ('false' == $_GET['mob_roadworthy'])?' selected="selected"':'';?>>No</option>

</select>
</div>
<?php endif; ?>

</div>
<div class="submitBox"><input type="submit" value="Fahrzeuge Suchen" /></div>

</div>
</form>